com.google.appengine.api.search.dev

## Class GenericScorer

- java.lang.Object
- - com.google.appengine.api.search.dev.Scorer
  - - com.google.appengine.api.search.dev.GenericScorer

- All Implemented Interfaces:
    java.util.Comparator<GenericScorer.Result>

      public class GenericScorer
      extends Scorer
      implements java.util.Comparator<GenericScorer.Result>

  Scorer for CUSTOM sorting algorithm, which uses expression evaluation for multidimensional sorting.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `GenericScorer.Result` Result class for GenericScorer.

    - ### Nested classes/interfaces inherited from class com.google.appengine.api.search.dev.Scorer

      `Scorer.SearchResults`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericScorer(int scorerLimit, Sort nativeSort, com.google.appengine.api.search.dev.NumericExpression[] expressions, Expression.Sorter[] sorters)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(GenericScorer.Result left, GenericScorer.Result right)`
    `static Scorer` | `newInstance(SearchServicePb.SearchParams searchParams, java.util.Map<java.lang.String,java.util.Set<DocumentPb.FieldValue.ContentType>> fieldTypes)`
    `Scorer.SearchResults` | `search(IndexSearcher indexSearcher, Query q, int offset, int limit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### GenericScorer

          public GenericScorer(int scorerLimit,
                               Sort nativeSort,
                               com.google.appengine.api.search.dev.NumericExpression[] expressions,
                               Expression.Sorter[] sorters)

  - ### Method Detail

    - #### newInstance

          public static Scorer newInstance(SearchServicePb.SearchParams searchParams,
                                           java.util.Map<java.lang.String,java.util.Set<DocumentPb.FieldValue.ContentType>> fieldTypes)

    - #### compare

          public int compare(GenericScorer.Result left,
                             GenericScorer.Result right)

      Specified by:
        `compare` in interface `java.util.Comparator<GenericScorer.Result>`

    - #### search

          public Scorer.SearchResults search(IndexSearcher indexSearcher,
                                             Query q,
                                             int offset,
                                             int limit)
                                      throws java.io.IOException

      Specified by:
        `search` in class `Scorer`
      Throws:
        `java.io.IOException`